local L = BigWigsAPI:GetLocale("BigWigs")
local LSM = LibStub("LibSharedMedia-3.0")

do
	LSM:Register(SOUND, "Gura: Zero", "Interface\\AddOns\\BigWigs_Voice_Gura\\sound\\Gura_Zero.ogg")
	LSM:Register(SOUND, "Gura: Dispell Boss", "Interface\\AddOns\\BigWigs_Voice_Gura\\sound\\Gura_DispellBoss.ogg")
	LSM:Register(SOUND, "Gura: Get Out", "Interface\\AddOns\\BigWigs_Voice_Gura\\sound\\Gura_GetOut.ogg")
	LSM:Register(SOUND, "Gura: Spell under you", "Interface\\AddOns\\BigWigs_Voice_Gura\\sound\\Gura_SpellUnderyou2.ogg")
	LSM:Register(SOUND, "Gura: Bait mechanic", "Interface\\AddOns\\BigWigs_Voice_Gura\\sound\\Gura_BaitMechanic.ogg")
	LSM:Register(SOUND, "Gura: Taunt", "Interface\\AddOns\\BigWigs_Voice_Gura\\sound\\Gura_Taunt.ogg")
	LSM:Register(SOUND, "Gura: Stack", "Interface\\AddOns\\BigWigs_Voice_Gura\\sound\\Gura_Stack.ogg")
	LSM:Register(SOUND, "Gura: Kick Cast", "Interface\\AddOns\\BigWigs_Voice_Gura\\sound\\Gura_KickC.ogg")
end

local heroes = {
	"Gura",
}
local key = "Gura"
local path = "Interface\\AddOns\\BigWigs_Voice_Gura\\sound\\%s_%d.ogg"

for i = 1, #heroes do
	local hero = heroes[i]
	BigWigsAPI:RegisterCountdown(key:format(hero), {
		path:format(hero, 1), 
		path:format(hero, 2),
		path:format(hero, 3),
		path:format(hero, 4),
		path:format(hero, 5),
		path:format(hero, 6),
		path:format(hero, 7),
		path:format(hero, 8),
		path:format(hero, 9),
		path:format(hero, 10),
	})
end

